'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isGitUrl = isGitUrl;
exports.isBinaryFile = isBinaryFile;

var _isbinaryfile = require('isbinaryfile');

var _isbinaryfile2 = _interopRequireDefault(_isbinaryfile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * Determines whether a string is a valid Git URL tests against a regular
 * expression.
 * @param {String} str - String to test
 * @return {Boolean} - is `str` a git URL
 */
function isGitUrl(str) {
  return (/(?:[A-Za-z0-9]+@|https?:\/\/)[A-Za-z0-9.]+(?::|\/)[A-Za-z0-9/]+(?:\.git)?/.test(str)
  );
}

/*
 * A decent check to determine whether a given file is a binary.
 * @param {Array} src - Path the file
 * @return {Boolean} - whether given file is binary
 */
function isBinaryFile(src) {
  return _isbinaryfile2.default.sync(src);
}